import request from '@/utils/request';

//新增或修改系统模板
export function getAlarmLogPage(params:any){
  return request({
    url: '/system/config/updateById' ,
    method: 'post',
    data:params
  });
}
//获取系统模板
export function getOneById(){
    return request({
      url: '/system/config/getOneById' ,
      method: 'post',
    });
  }
  //上传文件
  export function uploadConfigFile(params:any){
    return request({
      url: '/system/config/uploadConfigFile' ,
      headers: {
        'Content-Type': 'multipart/form-data'
      },
      method: 'post',
      data:params
    });
  }
  //下载模型文件
  export function downloadConfigFile(params:any){
    return request({
      url: '/system/config/downloadConfigFile' ,
      method: 'post',
      params:params,
      responseType: 'arraybuffer',
    });
  }
    //删除模型文件
    export function deleteConfigFile(params:any){
      return request({
        url: '/system/config/deleteConfigFile' ,
        method: 'post',
        params:params,
      });
    }